org.apache.lucene.index

## Class MergePolicy.MergeAbortedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.apache.lucene.index.MergePolicy.MergeAbortedException

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    MergePolicy

      public static class MergePolicy.MergeAbortedException
      extends IOException

  Thrown when a merge was explicity aborted because `IndexWriter.close(boolean)` was called with `false`. Normally this exception is privately caught and suppresed by `IndexWriter`.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MergePolicy.MergeAbortedException()` Create a `MergePolicy.MergeAbortedException`.
    `MergePolicy.MergeAbortedException(String message)` Create a `MergePolicy.MergeAbortedException` with a specified message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MergePolicy.MergeAbortedException

          public MergePolicy.MergeAbortedException()

      Create a `MergePolicy.MergeAbortedException`.

    - #### MergePolicy.MergeAbortedException

          public MergePolicy.MergeAbortedException(String message)

      Create a `MergePolicy.MergeAbortedException` with a specified message.

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.